"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrandBusinessTypeEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const brand_entity_1 = require("./brand.entity");
const business_type_entity_1 = require("./business_type.entity");
let BrandBusinessTypeEntity = class BrandBusinessTypeEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], BrandBusinessTypeEntity.prototype, "brand_business_type_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => brand_entity_1.BrandEntity, (brand) => brand.brand_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: 'brand_id',
    }),
    __metadata("design:type", brand_entity_1.BrandEntity)
], BrandBusinessTypeEntity.prototype, "brand", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => business_type_entity_1.BusinessTypeEntity, (business_type) => business_type.business_type_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: 'business_type_id',
    }),
    __metadata("design:type", business_type_entity_1.BusinessTypeEntity)
], BrandBusinessTypeEntity.prototype, "business_type", void 0);
BrandBusinessTypeEntity = __decorate([
    (0, typeorm_1.Entity)('brand_business_type')
], BrandBusinessTypeEntity);
exports.BrandBusinessTypeEntity = BrandBusinessTypeEntity;
//# sourceMappingURL=brand_business_type.entity.js.map