"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConversationUserClassifyEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const conversation_entity_1 = require("./conversation.entity");
const conversation_classify_entity_1 = require("./conversation_classify.entity");
let ConversationUserClassifyEntity = class ConversationUserClassifyEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], ConversationUserClassifyEntity.prototype, "conversation_user_classify_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => conversation_classify_entity_1.ConversationClassifyEntity, (classify) => classify.classify_id, { nullable: true }),
    (0, typeorm_1.JoinColumn)({
        name: 'classify_id',
    }),
    __metadata("design:type", conversation_classify_entity_1.ConversationClassifyEntity)
], ConversationUserClassifyEntity.prototype, "classify", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => conversation_entity_1.ConversationEntity, (conversation) => conversation.conversation_id, { nullable: true }),
    (0, typeorm_1.JoinColumn)({
        name: 'conversation_id',
    }),
    __metadata("design:type", conversation_entity_1.ConversationEntity)
], ConversationUserClassifyEntity.prototype, "conversation", void 0);
ConversationUserClassifyEntity = __decorate([
    (0, typeorm_1.Entity)('conversation_user_classify')
], ConversationUserClassifyEntity);
exports.ConversationUserClassifyEntity = ConversationUserClassifyEntity;
//# sourceMappingURL=conversation_user_classify.entity.js.map