import { BaseModel } from "./base.entity";
import { BranchEntity } from "./branch.entity";
import { BrandEntity } from "./brand.entity";
import { RestaurantEntity } from "./restaurant.entity";
import { UserEntity } from "./user.entity";
export declare class PostEntity extends BaseModel {
    post_id: string;
    user: UserEntity;
    is_review: number;
    auto_post_type: number;
    branch: BranchEntity;
    brand: BrandEntity;
    restaurant: RestaurantEntity;
    average_rating: number;
    post_type: number;
    target_id: number;
    title: string;
    content: string;
    medias: any;
    food_rating: number;
    price_rating: number;
    spatial_rating: number;
    hygiene_rating: number;
    service_rating: number;
    tag: any;
    no_of_comment: number;
    no_of_love: number;
    no_of_wow: number;
    value: number;
    action_level: number;
    no_of_sad: number;
    no_of_angry: number;
    no_of_value: number;
    no_of_nothing: number;
    no_of_share: number;
    is_share: number;
    post_share: PostEntity;
    status: number;
    view: number;
    is_detect: number;
    is_avatar_post: number;
    target_status: number;
    card_tag: string[];
    thumbnail: {
        description: string;
        logo: string;
        title: string;
        domain: string;
    };
}
