"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShortVideoEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const user_entity_1 = require("./user.entity");
let ShortVideoEntity = class ShortVideoEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], ShortVideoEntity.prototype, "short_video_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.UserEntity, (user) => user.user_id),
    (0, typeorm_1.JoinColumn)({
        name: 'user_id',
    }),
    __metadata("design:type", user_entity_1.UserEntity)
], ShortVideoEntity.prototype, "user", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'jsonb',
        default: [],
    }),
    __metadata("design:type", Object)
], ShortVideoEntity.prototype, "media", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'bigint',
        array: true,
        default: [],
    }),
    __metadata("design:type", Array)
], ShortVideoEntity.prototype, "card_tag", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
    }),
    __metadata("design:type", String)
], ShortVideoEntity.prototype, "title", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], ShortVideoEntity.prototype, "view", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
    }),
    __metadata("design:type", String)
], ShortVideoEntity.prototype, "song", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], ShortVideoEntity.prototype, "no_of_like", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], ShortVideoEntity.prototype, "no_of_dislike", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], ShortVideoEntity.prototype, "no_of_comment", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], ShortVideoEntity.prototype, "no_of_share", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 1,
    }),
    __metadata("design:type", Number)
], ShortVideoEntity.prototype, "status", void 0);
ShortVideoEntity = __decorate([
    (0, typeorm_1.Entity)('short_video')
], ShortVideoEntity);
exports.ShortVideoEntity = ShortVideoEntity;
//# sourceMappingURL=short-video.entity.js.map