"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserRegisterMembershipCardEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const brand_entity_1 = require("./brand.entity");
const user_entity_1 = require("./user.entity");
let UserRegisterMembershipCardEntity = class UserRegisterMembershipCardEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], UserRegisterMembershipCardEntity.prototype, "user_register_membership_card_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.UserEntity, (user) => user.user_id),
    (0, typeorm_1.JoinColumn)({
        name: 'user_id',
    }),
    __metadata("design:type", user_entity_1.UserEntity)
], UserRegisterMembershipCardEntity.prototype, "user", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => brand_entity_1.BrandEntity, (brand) => brand.brand_id),
    (0, typeorm_1.JoinColumn)({
        name: 'brand_id',
    }),
    __metadata("design:type", brand_entity_1.BrandEntity)
], UserRegisterMembershipCardEntity.prototype, "brand", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 1,
    }),
    __metadata("design:type", Number)
], UserRegisterMembershipCardEntity.prototype, "status", void 0);
UserRegisterMembershipCardEntity = __decorate([
    (0, typeorm_1.Entity)('user_register_membership_card')
], UserRegisterMembershipCardEntity);
exports.UserRegisterMembershipCardEntity = UserRegisterMembershipCardEntity;
//# sourceMappingURL=user-register-membership-card.entity.js.map