import { BaseModel } from './base.entity';
import { CityEntity } from './city.entity';
import { CountryEntity } from './country.entity';
import { DistrictEntity } from './district.entity';
import { RestaurantEntity } from './restaurant.entity';
import { WardEntity } from './ward.entity';
export declare class UserEntity extends BaseModel {
    user_id: string;
    type: string;
    avatar: string;
    full_name: string;
    nick_name: string;
    identification: number;
    address: string;
    lat: string;
    lng: string;
    city: CityEntity;
    no_of_alo_point: number;
    district: DistrictEntity;
    ward: WardEntity;
    no_of_follow: number;
    country: CountryEntity;
    view: number;
    cover: string;
    phone: string;
    gender: number;
    status: number;
    birthday: Date;
    first_name: string;
    last_name: string;
    no_of_friend: number;
    description: string;
    website: string;
    email: string;
    user_interests: number[];
    is_notify: number;
    is_dark_mode: number;
    view_about: number;
    view_life_event: number;
    view_friend: number;
    view_media: number;
    is_request_friend: number;
    is_display_name: number;
    is_enable_gender: number;
    is_enable_birthday: number;
    is_enable_phone: number;
    is_enable_email: number;
    is_enable_address: number;
    is_enable_city: number;
    is_enable_district: number;
    is_enable_ward: number;
    time_seen_notify: Date;
    last_connect: Date;
    restaurant: RestaurantEntity;
}
