"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessagePromotionBrandEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const brand_entity_1 = require("./brand.entity");
let MessagePromotionBrandEntity = class MessagePromotionBrandEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], MessagePromotionBrandEntity.prototype, "message_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => brand_entity_1.BrandEntity, (brand) => brand.brand_id),
    (0, typeorm_1.JoinColumn)({
        name: 'brand_id',
    }),
    __metadata("design:type", brand_entity_1.BrandEntity)
], MessagePromotionBrandEntity.prototype, "brand", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        default: '',
    }),
    __metadata("design:type", String)
], MessagePromotionBrandEntity.prototype, "cover", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'varchar',
        default: '',
    }),
    __metadata("design:type", String)
], MessagePromotionBrandEntity.prototype, "title", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
    }),
    __metadata("design:type", String)
], MessagePromotionBrandEntity.prototype, "description", void 0);
MessagePromotionBrandEntity = __decorate([
    (0, typeorm_1.Entity)('message_promotion_brand')
], MessagePromotionBrandEntity);
exports.MessagePromotionBrandEntity = MessagePromotionBrandEntity;
//# sourceMappingURL=message-promotion-brand.entity.js.map