import { BaseModel } from './base.entity';
import { ConversationEntity } from './conversation.entity';
import { UserEntity } from './user.entity';
export declare class MessageEntity extends BaseModel {
    message_id: string;
    conversation: ConversationEntity;
    user: UserEntity;
    user_target: number[];
    type: number;
    message: string;
    media: string;
    tag: any;
    no_of_reaction: number;
    is_pinned: number;
    is_share: number;
    message_reply: MessageEntity;
    status: number;
    no_of_like: number;
    no_of_love: number;
    no_of_wow: number;
    no_of_sad: number;
    no_of_haha: number;
    no_of_angry: number;
    thumb: string;
    sticker: string;
    link: any[];
    link_join_group: string;
    message_vote_id: string;
    key_search: string;
}
