"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostCardTagEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const post_entity_1 = require("./post.entity");
const card_tag_entity_1 = require("./card-tag.entity");
let PostCardTagEntity = class PostCardTagEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', { type: 'bigint' }),
    __metadata("design:type", String)
], PostCardTagEntity.prototype, "post_card_tag_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => post_entity_1.PostEntity, (post) => post.post_id, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: 'post_id' }),
    __metadata("design:type", post_entity_1.PostEntity)
], PostCardTagEntity.prototype, "post", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => card_tag_entity_1.CardTagEntity, (cardTag) => cardTag.card_tag_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({ name: 'card_tag_id' }),
    __metadata("design:type", card_tag_entity_1.CardTagEntity)
], PostCardTagEntity.prototype, "card_tag", void 0);
PostCardTagEntity = __decorate([
    (0, typeorm_1.Entity)('post_card_tag')
], PostCardTagEntity);
exports.PostCardTagEntity = PostCardTagEntity;
//# sourceMappingURL=post-card-tag.entity.js.map