"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShortVideoCommentReactionEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const short_video_comment_entity_1 = require("./short-video-comment.entity");
const user_entity_1 = require("./user.entity");
let ShortVideoCommentReactionEntity = class ShortVideoCommentReactionEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], ShortVideoCommentReactionEntity.prototype, "short_video_comment_reaction_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => short_video_comment_entity_1.ShortVideoCommentEntity, (short_video_comment) => short_video_comment.short_video_comment_id),
    (0, typeorm_1.JoinColumn)({
        name: 'short_video_comment_id',
    }),
    __metadata("design:type", short_video_comment_entity_1.ShortVideoCommentEntity)
], ShortVideoCommentReactionEntity.prototype, "short_video_comment", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.UserEntity, (user) => user.user_id),
    (0, typeorm_1.JoinColumn)({
        name: 'user_id',
    }),
    __metadata("design:type", user_entity_1.UserEntity)
], ShortVideoCommentReactionEntity.prototype, "user", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
    }),
    __metadata("design:type", Number)
], ShortVideoCommentReactionEntity.prototype, "type", void 0);
ShortVideoCommentReactionEntity = __decorate([
    (0, typeorm_1.Entity)('short_video_comment_reaction')
], ShortVideoCommentReactionEntity);
exports.ShortVideoCommentReactionEntity = ShortVideoCommentReactionEntity;
//# sourceMappingURL=short-video-comment-reaction.entity.js.map